Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/scalargroup_interface_attr.F90
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/scalargroup_interface_attr.F90	(revision 2337)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/scalargroup_interface_attr.F90	(revision 2338)
@@ -176,4 +176,23 @@
 
 
+    SUBROUTINE cxios_set_scalargroup_n(scalargroup_hdl, n) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalargroup_hdl
+      INTEGER (KIND=C_INT)      , VALUE :: n
+    END SUBROUTINE cxios_set_scalargroup_n
+
+    SUBROUTINE cxios_get_scalargroup_n(scalargroup_hdl, n) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalargroup_hdl
+      INTEGER (KIND=C_INT)             :: n
+    END SUBROUTINE cxios_get_scalargroup_n
+
+    FUNCTION cxios_is_defined_scalargroup_n(scalargroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_scalargroup_n
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalargroup_hdl
+    END FUNCTION cxios_is_defined_scalargroup_n
+
+
     SUBROUTINE cxios_set_scalargroup_name(scalargroup_hdl, name, name_size) BIND(C)
       USE ISO_C_BINDING
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/io/nc4_data_input.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/io/nc4_data_input.cpp	(revision 2337)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/io/nc4_data_input.cpp	(revision 2338)
@@ -495,17 +495,17 @@
     {
       // Ok, try to read some attributes such as longitude and latitude
-      domain->hasLatInReadFile = SuperClassWriter::hasVariable(itMapNj->first);
-      domain->hasLonInReadFile = SuperClassWriter::hasVariable(itMapNi->first);
+      domain->has_lat_in_read_file = SuperClassWriter::hasVariable(itMapNj->first);
+      domain->has_lon_in_read_file = SuperClassWriter::hasVariable(itMapNi->first);
     }
     else if ((CDomain::type_attr::curvilinear == domain->type) || (CDomain::type_attr::unstructured == domain->type) )
     {
       StdString latName = this->getLatCoordName(fieldId);
-      domain->hasLatInReadFile = SuperClassWriter::hasVariable(latName) ;
+      domain->has_lat_in_read_file = SuperClassWriter::hasVariable(latName) ;
       StdString lonName = this->getLonCoordName(fieldId);        
-      domain->hasLonInReadFile = SuperClassWriter::hasVariable(lonName) ; 
+      domain->has_lon_in_read_file = SuperClassWriter::hasVariable(lonName) ; 
       StdString boundsLatName = this->getBoundsId(latName);
-      domain->hasBoundsLatInReadFile = SuperClassWriter::hasVariable(boundsLatName) ; 
+      domain->has_bounds_lat_in_read_file = SuperClassWriter::hasVariable(boundsLatName) ; 
       StdString boundsLonName = this->getBoundsId(lonName);
-      domain->hasBoundsLonInReadFile = SuperClassWriter::hasVariable(boundsLonName) ;
+      domain->has_bounds_lon_in_read_file = SuperClassWriter::hasVariable(boundsLonName) ;
     }
   }
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/node/domain.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/node/domain.cpp	(revision 2337)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/node/domain.cpp	(revision 2338)
@@ -500,5 +500,5 @@
        lon_end.setValue(lonvalue_rectilinear_read_from_file(ni_glo-1));
      }
-     else if (hasLonInReadFile.isEmpty() || !hasLonInReadFile)
+     else if (has_lon_in_read_file.isEmpty() || !has_lon_in_read_file)
      {
        if (!lonvalue_2d.isEmpty()) lonvalue_2d.free();
@@ -534,5 +534,5 @@
        lat_end.setValue(latvalue_rectilinear_read_from_file(nj_glo-1));
      }
-     else if (hasLatInReadFile.isEmpty() || !hasLatInReadFile)
+     else if (has_lat_in_read_file.isEmpty() || !has_lat_in_read_file)
      {
        if (!latvalue_2d.isEmpty()) latvalue_1d.free();
